For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/workflow/events/get-api-workflow-v1events.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.

List events

GET
/api/workflow/v1/events/
1import { Reloop } from "reloop-email";
2
3const reloop = new Reloop({ apiKey: "rl_123456789" });
4
5const { events, eventError } = await reloop.events.list({ page: 1, limit: 20 });
6if (eventError) throw eventError;
1{
2 "events": [
3 {
4 "id": "evt_123456789",
5 "organizationId": "org_123456789",
6 "name": "User signed up",
7 "key": "trigger.user.signed_up",
8 "description": "Fired when an account is created",
9 "properties": [
10 {
11 "id": "evtp_123456789",
12 "name": "plan",
13 "propertyType": "string",
14 "required": true,
15 "defaultValue": null,
16 "description": "The plan they picked",
17 "createdAt": "2026-03-23T10:00:00.000Z",
18 "updatedAt": "2026-03-23T10:00:00.000Z"
19 }
20 ],
21 "createdAt": "2026-03-23T10:00:00.000Z",
22 "updatedAt": "2026-03-23T10:00:00.000Z"
23 }
24 ],
25 "total": 1,
26 "page": 1,
27 "limit": 50
28}

Query Parameters

pagestring | numberdefault: 1

Page number

  • Minimum value: 1
limitstring | numberdefault: 50

Events per page

  • Minimum value: 1
  • Maximum value: 100

Was this page helpful?